Name:		sylpheed
Version:	3.7.0
Release:	%mkrel 2
Summary:        A GTK+2 based, lightweight, and fast e-mail client
Summary(de):    Ein leichter und schneller Email Client basierend auf GTK+2

License:        GPLv2
Group:		Networking/Mail
URL:            http://sylpheed.sraoss.jp/en/
Source0:	http://sylpheed.sraoss.jp/%{name}/v3.7/%{name}-%{version}.tar.xz
Patch0:     0001-libsylph-ssl.c-Support-SNI-some-servers-imap.gmail.c.patch

BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:	%{_lib}compface-devel
BuildRequires:  %{_lib}gpgme-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}gtkspell-devel
BuildRequires:	%{_lib}ldap2.4_2-devel
BuildRequires:  libpthread-stubs
Requires:	pinentry-gtk2
Obsoletes:	%{name}-i10n < %{version}-%{release}

%description
Sylpheed is a simple, lightweight but featureful, and easy-to-use e-mail client (mailer, MUA).
Sylpheed runs on Unix-like systems such as Linux, BSD, and Mac OS X. It also supports Windows.
Sylpheed uses GTK+2 GUI toolkit.

%description -l de
Sylpheed ist ein einfaches, leicht aber vielfältig und einfach zu bedienenden E-Mail-Client (Mailer, MUA).
Sylpheed läuft auf Unix-ähnlichen Systemen wie Linux, BSD und Mac OS X. Es unterstützt auch Windows.
Sylpheed benutzt GTK 2-GUI-Toolkit.

%package devel
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Networking/Mail
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%description devel -l de
Entwicklerdateien für %{name}.

%prep
%setup -q
%apply_patches

%build

sed -i 's,enchant/,enchant-2/,g' src/compose.c
sed -i 's/ enchant/ enchant-2/g' configure


%configure2_5x \
  --enable-ldap \
  --disable-updatecheck \
  --disable-updatecheckplugin \
  --with-plugindir=%{_libdir}/%{name}/plugins
%make_build

%install
%makeinstall_std
make -C plugin/attachment_tool DESTDIR=%{buildroot} install-plugin
%__mkdir_p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert %{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
%__install -Dm644 %{name}.desktop %{buildroot}%{_desktopdir}/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}.desktop
find %{buildroot} -iname *.la -print -delete
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_bindir}/%{name}
%{_libdir}/libsylph*.so.*
%{_libdir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/faq
%lang(de) %doc %{_datadir}/%{name}/faq/de
%lang(en) %doc %{_datadir}/%{name}/faq/en
%lang(es) %doc %{_datadir}/%{name}/faq/es
%lang(fr) %doc %{_datadir}/%{name}/faq/fr
%lang(it) %doc %{_datadir}/%{name}/faq/it
%dir %{_datadir}/%{name}/manual
%lang(en) %doc %{_datadir}/%{name}/manual/en
%lang(ja) %doc %{_datadir}/%{name}/manual/ja

%files devel
%defattr(-,root,root)
%{_libdir}/libsylph*.so
%{_includedir}/%{name}

%changelog
* Tue Feb 19 2019 tex - 3.7.0-2pclos2019
- rebuild against updates

* Wed Jan 31 2018 marcin82 <fixxer1982 at gmail.com> 3.7.0-1pclos2018
- update
- dropped sylpheed-i10n package
- changed source url

* Fri Oct 27 2017 bb2 <bb2> - 3.6.0-2pclos2017
- rebuild against updates

* Fri Jul 07 2017 marcin82 <marcin82 at vp.pl> 3.6.0-1pclos2017
- update
- enabled attachment_tool plugin
- spec file cleaning

* Sat Jul 30 2016 daniel <meisssw01 at gmail.com> 3.5.1-1pclos2016
- update

* Tue May 10 2016 marcin82 <marcin82 at vp.pl> 3.5.0-2pclos2016
- added R: pinentry-gtk2

* Tue Jan 26 2016 bb <bb> 3.5.0-1pclos2016
- update

* Thu Jul 09 2015 daniel <meisssw01 at gmail.com> 3.4.3-1pclos2015
- upstream tarball

* Tue Jun 10 2014 daniel <meisssw01 at gmail.com> 3.4.2-1free2014
- upstream tarball
